/*
// Created by Lucile on 18/02/2021.
*/

/*!
 * \file personnage.h
 * \brief Character Header File
 * \authors Lucile
 * \version 1
 * \date 25/02/2021
 *
 * Character structure and functions definiton.
 *
 */

#ifndef GAME_INSA_PROJECT_PERSONNAGE_H
#define GAME_INSA_PROJECT_PERSONNAGE_H

/*!
 * \struct personnage
 * \brief Character structure
 */

typedef struct {
    int x_pers; /**< Position : abscissa */
    int y_pers; /**< Position : ordinate */
    int long_pers; /**< Size : length */
    int larg_pers; /**< Size : width */
    int speed_pers; /**< Charater speed */
    char * image_pers; /**< Source image of the character. */
}Personnage;

int init_pers(Personnage * character, int x, int y, int length, int width, int speed, char * path);

#endif /*GAME_INSA_PROJECT_PERSONNAGE_H*/
